=== debian/changelog ===
espresso (5.0.2-5build1) trusty; urgency=medium

  * No-change rebuild for libopenmpi1.3 -> libopenmpi1.6 transition.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 16 Dec 2013 17:15:13 -0500

espresso (5.0.2-5) unstable; urgency=low

  * debian/patches/fftw_i386_unaligned.patch: New patch, add the FFTW_UNALIGNED
    flag to the FFTW3 plan type if _FFTW_FORCE_UNALIGNED is defined and allows
    for its definition in MANUAL_DFLAGS in make.sys via the $(FFTW_FORCE_ALIGN)
    environment variable.
  * debian/rules (DEB_BUILD_ARCH): New variable.
  * debian/rules: Export FFTW_FORCE_ALIGN to -D_FFTW_FORCE_UNALIGNED on i386 to
    force aligned FFTW3 plans, fixing segfaults in the test suite (Closes:
    #731564).

 -- Michael Banck <mbanck@debian.org>  Sat, 07 Dec 2013 16:43:00 +0100

espresso (5.0.2-4) unstable; urgency=low

  [ Debichem Team ]
  * debian/rules: Explicitly set scalapack/blacs libraries for mpich arches.
  * debian/control: Add versioned Replaces of quantum-espresso to
    quantum-espresso-data (Closes: #731423).

 -- Michael Banck <mbanck@debian.org>  Fri, 06 Dec 2013 10:01:54 +0100

espresso (5.0.2-3) unstable; urgency=low

  * debian/patches/testsuite_skip_vdw_tests.patch: New patch, skips the PW's
    vdw1 and vdw2 tests as they require a long generation of the
    vdW_kernel_table data file.
  * debian/patches/testsuite_echo_cp_subtests.patch: New patch, echoes the name
    of CP's subtests provoking some logfile output in order to avoid timeouts.
  * debian/quantum-espresso.install: Moved documentation to ...
  * debian/quantum-espresso-data.install: ... here.
  * debian/rules (binary-indep): New rule, generate the vdW_kernel_table data
    file in place of build-indep and skip testsuite (Closes: #730701).
  * debian/rules (binary): New rule.
  * debian/rules (override_dh_auto_build): Moved building of documentation
    to ...
  * debian/rules (binary-indep): ... here.
  * debian/rules (OMPI_MCA_orte_rsh_agent): Moved exporting of environment
    variable from override_dh_auto_test to top of file as it is required for
    binary-indep as well.

 -- Michael Banck <mbanck@debian.org>  Mon, 02 Dec 2013 17:47:08 +0100

espresso (5.0.2-2) unstable; urgency=low

  * debian/rules (override_dh_auto_test): Update OMPI_MCA environment variable
    to orte_rsh_agent as the original plm_rsh_agent variable is deprecated.

 -- Michael Banck <mbanck@debian.org>  Thu, 28 Nov 2013 11:13:57 +0100

espresso (5.0.2-1) unstable; urgency=low

  * New upstream release.

  [ Michael Banck ]
  * debian/rules (override_dh_auto_test, override_dh_auto_clean): Run tests in
    CPV and TDDFPT directories as well and clean up after them.
  * debian/patches/testsuite_pseudopotentials.patch: Added pseudopotentials
    required for CPV tests.
  * debian/patches/subversion_fixes.diff: New patch, contains bug fixes from
    subversion trunk until revision 9682.

  [ Andreas Tille ]
  * debian/upstream: Reference

  [ Daniel Leidert ]
  * debian/control (Vcs-Browser, Vcs-Svn): Fixed vcs-field-not-canonical.
    (Standards-Version): Bumped to 3.9.4.
    (Build-Depends): Added autotools-dev, libfftw3-dev and libblacs-mpi-dev.
    (Section): Fixed binary-control-field-duplicates-source.
  * debian/quantum-espresso.doc-base: Added.
  * debian/rules: Added autotools_dev addon and enable parallel builds.
    Set SCALAPACK_LIBS and SCALAPACK_LIB for MPI implementation. Install
    release notes.
  * debian/patches/subversion_fixes.patch: Updated.
    - Got the patch to espresso 5.0.3.
  * debian/patches/testsuite_pseudopotentials.patch: Updated.
    - Added more testfiles.
    - Don't remove the files provided by the patch.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Tue, 06 Aug 2013 10:23:11 +0200
